﻿var GoogleAnalyticsEnabled = false;
var GoogleAnalyticsAccount
var _gaq = _gaq || [];

function GoogleAnalytics(AccountNumber) {
    GoogleAnalyticsEnabled = true;
    GoogleAnalyticsAccount = AccountNumber;

    //var _gaq = _gaq || [];
    _gaq.push(['_setAccount', AccountNumber]);

    TrackGAPageView("");

    (function () {
        var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
        ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
        var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
    })();
    ConsoleLog("GAInit");
}

function TrackGAEvent(Category, Action, Label, Value) {
    if (GoogleAnalyticsEnabled == true) {
        _gaq.push(['_trackEvent', Category, Action, Label, Value]);
        ConsoleLog("GAEvent - " + Category + " - " + Action); 
    }
}

function TrackGAPageView(Path) {
    if (GoogleAnalyticsEnabled == true) {
        //var l = document.location, s = l.search, h = l.hash;
        //var sh = s + (s.length ? '&' : '?') + h.replace(/^#/, ''); //This is some form of path modification were doing in the old site. Need to find out if it's still valid.

        if (Path != "") {
            _gaq.push(['_trackPageview', Path]);
        } else {
            _gaq.push(['_trackPageview']);
        }
        ConsoleLog("GAPage - " + Path);
    }
}

function AddGAEcommerceTransaction(OrderID, Affilitation, Total, Tax, Shipping, City, State, Country) {
    if (GoogleAnalyticsEnabled == true) {
        _gaq.push(['_addTrans', OrderID, Affilitation, Total, Tax, Shipping, City, State, Country]);
        ConsoleLog("GATransaction");
    }
}

function TrackLinkID(Link) {
    var Action = ReturnValidString($(Link).attr("data-link-id"));
    var Label = ReturnValidString($(Link).attr("data-link-name"));

    if (Action != "") { 
        TrackGAEvent("LID", Action, Label, 0);
    }
}

function AddGAEcommerceItem(OrderID, SKU, ProductName, Variation, UnitPrice, Quantity) {
    if (GoogleAnalyticsEnabled == true) {
        _gaq.push(['_addItem', OrderID, SKU, ProductName, Variation, UnitPrice, Quantity]);
        ConsoleLog("GAItem");
    }
}

function TrackGAEcommerceTransaction() {
    if (GoogleAnalyticsEnabled == true) {
        _gaq.push(['_trackTrans']);
    }
    ConsoleLog("GATT");
}

function ReturnValidString(string) {
    if (string && string != '' && string != 'undefined') {
        return string;
    } else {
        return "";
    }
}
