﻿function landingPageVisible() {

    UpdateContinueShopping();

    $('.ViewCategoriesLink').click(function () {
        scrollToElement('.Categories');
    });

    $('.Categories').NextSlideWindow();

    // If the user clicks on a New In badge, then we need to trigger the on click of the relative tile
    $('.Item .NewIn').click(function (e) {
        e.preventDefault();
        $(this).parent().find('.Image a').first().click();
    });

    addTransitionToItemBodyTextLinks();
}

function scrollToElement(element) {
    $("html,body").animate({ scrollTop: $(element).offset().top - $(".PageHeader").height() }, "easeOutCubic");
}

function addTransitionToItemBodyTextLinks() {
    $('div.BodyText a').each(function () {
        $(this).click(function () {
            this.blur();
            TrackLinkID(this);
            return LoadHTMLContent(this.href, this.innerText);
        });
    });
}

function LPCRotate(CarouselID, Direction, Duration) {
    var lock = eval(CarouselID + "AnimationLock")
    if (lock == true) {
        return false;
    }

    var classArray
    var PositionIndex
    var newPositionIndex
    var oldLevelIndex
    var newLevelIndex
    var visibleItemsStartIndex
    var visibleItemsStartPosition
    var visibleItemsEndIndex
    var visibleItemsEndPosition
    var IDPrefix = CarouselID + "-Item";

    eval(CarouselID + "AnimationLock = true");
    window.setTimeout(CarouselID + "AnimationLock = false", Duration + 100);

    for (var a = 4; a >= 1 - Math.abs(Direction); a--) {
        if ($("#" + CarouselID + " .Position" + a).length == 1) {
            visibleItemsStartIndex = parseInt($("#" + CarouselID + " .Position" + a)[0].id.substring(IDPrefix.length));
            visibleItemsStartPosition = a;
        }
    }

    if (visibleItemsStartPosition == 4 && Direction > 0) {
        return false;
    }

    for (var b = 6; b < 10 + Math.abs(Direction); b++) {
        if ($("#" + CarouselID + " .Position" + b).length == 1) {
            visibleItemsEndIndex = parseInt($("#" + CarouselID + " .Position" + b)[0].id.substring(IDPrefix.length));
            visibleItemsEndPosition = b;
        }
    }

    if (visibleItemsEndPosition == 6 && Direction < 0) {
        return false;
    }

    $("#" + CarouselID).children(".Item").each(function (index) {
        ItemID = this.id;
        itemIndex = parseInt(ItemID.substring(IDPrefix.length))

        if (Direction < 0) {

            if (visibleItemsStartIndex <= itemIndex && itemIndex <= visibleItemsEndIndex + Math.abs(Direction)) {
                classArray = this.className.split(" ");
                for (var x = 0; x < classArray.length; x++) {
                    if (classArray[x].indexOf("Position") != -1) {
                        PositionIndex = parseInt(classArray[x].substring(8));
                    }
                }
                LPCanimateToPosition(CarouselID, ItemID, PositionIndex, Direction, Duration);
            }
        } else {
            if (visibleItemsStartIndex - Math.abs(Direction) <= itemIndex && itemIndex <= visibleItemsEndIndex) {
                classArray = this.className.split(" ");
                for (var x = 0; x < classArray.length; x++) {
                    if (classArray[x].indexOf("Position") != -1) {
                        PositionIndex = parseInt(classArray[x].substring(8));
                    }
                }
                LPCanimateToPosition(CarouselID, ItemID, PositionIndex, Direction, Duration);
            }
        }
    })
    if (Direction < 0) {
        updateLPCC(CarouselID, 1)
    } else {
        updateLPCC(CarouselID, -1)
    }
}

function updateLPCC(CarouselID, Direction) {
    //debugger;
    var IDPrefix = CarouselID + "-Page";
    var currentActiveIndex = parseInt($(".Page.Active")[0].id.substring(IDPrefix.length));
    var newActiveIndex = currentActiveIndex + Direction;
    $("#" + CarouselID + "-Page" + currentActiveIndex).removeClass("Active").addClass("Inactive");
    $("#" + CarouselID + "-Page" + newActiveIndex).removeClass("Inactive").addClass("Active");
}

function LPCanimateToPosition(CarouselID, ItemID, PositionIndex, Direction, Duration) {
    Animation = createAnimation();
    var positionItemCount = $("#" + CarouselID + " .Position" + PositionIndex).length
    var newPosition

    if (positionItemCount > 1) {
        for (var i = 0; i < positionItemCount; i++) {

            if ($("#" + CarouselID + " .Position" + PositionIndex)[i].id == ItemID) {
                if (Math.abs(Direction) > 1) {
                    if (Direction < 0) {
                        newPosition = PositionIndex + Direction + i;
                    } else {
                        newPosition = PositionIndex + i + 1;
                    }
                } else {
                    if (Direction < 0) {
                        newPosition = PositionIndex + Direction + i;
                    } else {
                        newPosition = PositionIndex + Direction - (positionItemCount - (i + 1));
                        ConsoleLog(newPosition + " = " + PositionIndex + " + " + Direction + " - (" + positionItemCount + " - (" + i + " + 1))"); 
                    }

                }
            }
        }
    } else {
        newPosition = PositionIndex + Direction
    }

    if (newPosition < 0 - Math.abs(Direction)) {
        newPosition = 0 - Math.abs(Direction)
    }

    if (newPosition > 10 + Math.abs(Direction)) {
        newPosition = 10 + Math.abs(Direction)
    }
    switch (newPosition) {
        case -3:
            addToAnimation(Animation, '$("#' + ItemID + '").css("zIndex","0")', 0, false)
            addToAnimation(Animation, '$("#' + ItemID + '").animate({"top":"100px","left":"24px","z-index":"0","opacity":"0"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .ItemContent").animate({"width":"112px","height":"168px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Image").animate({"width":"89px","height":"168px","margin-left":"3px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .NewIn").animate({"width":"30px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Text").animate({"margin-left":"6px", "top":"145px", "font-size":"9px", "width":"91px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .BodyText").animate({"font-size":"7px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Shadow").animate({"width":"104px","height":"23px","top":"140px"},' + Duration + ')', Duration, true);
            addToAnimation(Animation, '$("#' + ItemID + '").removeClass("Position' + PositionIndex + '").addClass("Position-3")', 0, false);
            break;
        case -2:
            addToAnimation(Animation, '$("#' + ItemID + '").css("zIndex","0")', 0, false)
            addToAnimation(Animation, '$("#' + ItemID + '").animate({"top":"100px","left":"24px","z-index":"0","opacity":"0"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .ItemContent").animate({"width":"112px","height":"168px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Image").animate({"width":"89px","height":"168px","margin-left":"3px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .NewIn").animate({"width":"30px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Text").animate({"margin-left":"6px", "top":"145px", "font-size":"9px", "width":"91px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .BodyText").animate({"font-size":"7px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Shadow").animate({"width":"104px","height":"23px","top":"140px"},' + Duration + ')', Duration, true);
            addToAnimation(Animation, '$("#' + ItemID + '").removeClass("Position' + PositionIndex + '").addClass("Position-2")', 0, false);
            break;
        case -1:
            addToAnimation(Animation, '$("#' + ItemID + '").css("zIndex","0")', 0, false)
            addToAnimation(Animation, '$("#' + ItemID + '").animate({"top":"100px","left":"24px","z-index":"0","opacity":"0"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .ItemContent").animate({"width":"112px","height":"168px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Image").animate({"width":"89px","height":"168px","margin-left":"3px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .NewIn").animate({"width":"30px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Text").animate({"margin-left":"6px", "top":"145px", "font-size":"9px", "width":"91px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .BodyText").animate({"font-size":"7px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Shadow").animate({"width":"104px","height":"23px","top":"140px"},' + Duration + ')', Duration, true);
            addToAnimation(Animation, '$("#' + ItemID + '").removeClass("Position' + PositionIndex + '").addClass("Position-1")', 0, false);
            break;
        case 0:
            addToAnimation(Animation, '$("#' + ItemID + '").css("zIndex","50")', 0, false)
            addToAnimation(Animation, '$("#' + ItemID + '").animate({"top":"100px","left":"24px","z-index":"0","opacity":"0.33"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .ItemContent").animate({"width":"112px","height":"168px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Image").animate({"width":"89px","height":"168px","margin-left":"3px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .NewIn").animate({"width":"30px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Text").animate({"margin-left":"6px", "top":"145px", "font-size":"9px", "width":"91px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .BodyText").animate({"font-size":"7px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Shadow").animate({"width":"104px","height":"23px","top":"140px"},' + Duration + ')', Duration, true);
            addToAnimation(Animation, '$("#' + ItemID + '").removeClass("Position' + PositionIndex + '").addClass("Position0")', 0, false);
            break;
        case 1:
            addToAnimation(Animation, '$("#' + ItemID + '").css("zIndex","100")', 0, false)
            addToAnimation(Animation, '$("#' + ItemID + '").animate({"top":"80px","left":"52px","opacity":"1"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .ItemContent").animate({"width":"135px","height":"216px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Image").animate({"width":"114px","height":"216px","margin-left":"4px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .NewIn").animate({"width":"37px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Text").animate({"margin-left":"8px", "top":"175px", "font-size":"11px", "width":"110px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .BodyText").animate({"font-size":"8px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Shadow").animate({"width":"125px","height":"28px","top":"190px"},' + Duration + ')', Duration, true);
            addToAnimation(Animation, '$("#' + ItemID + '").removeClass("Position' + PositionIndex + '").addClass("Position1")', 0, false);
            break;
        case 2:
            addToAnimation(Animation, '$("#' + ItemID + '").css("zIndex","200")', 0, false)
            addToAnimation(Animation, '$("#' + ItemID + '").animate({"top":"56px","left":"92px","opacity":"1"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .ItemContent").animate({"width":"162px","height":"264px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Image").animate({"width":"140px","height":"260px","margin-left":"5px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .NewIn").animate({"width":"45px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Text").animate({"margin-left":"10px", "top":"211px", "font-size":"12px", "width":"130px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .BodyText").animate({"font-size":"9px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Shadow").animate({"width":"150px","height":"34px","top":"230px"},' + Duration + ')', Duration, true);
            addToAnimation(Animation, '$("#' + ItemID + '").removeClass("Position' + PositionIndex + '").addClass("Position2")', 0, false);
            break;
        case 3:
            addToAnimation(Animation, '$("#' + ItemID + '").css("zIndex","300")', 0, false)
            addToAnimation(Animation, '$("#' + ItemID + '").animate({"top":"32px","left":"131px","opacity":"1"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .ItemContent").animate({"width":"195px","height":"312px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Image").animate({"width":"166px","height":"312px","margin-left":"6px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .NewIn").animate({"width":"55px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Text").animate({"margin-left":"12px", "top":"254px", "font-size":"13px", "width":"153px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .BodyText").animate({"font-size":"10px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Shadow").animate({"width":"181px","top":"268px"},' + Duration + ')', Duration, true);
            addToAnimation(Animation, '$("#' + ItemID + '").removeClass("Position' + PositionIndex + '").addClass("Position3")', 0, false);
            break;
        case 4:
            if (Math.abs(Direction) > 1 && Direction < 0) {
                addToAnimation(Animation, '$("#' + ItemID + '").css("zIndex","600")', 0, false)
            } else {
                addToAnimation(Animation, '$("#' + ItemID + '").css("zIndex","400")', 0, false)
            }
            addToAnimation(Animation, '$("#' + ItemID + '").animate({"top":"0px","left":"172px","opacity":"1"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .ItemContent").animate({"width":"235px","height":"376px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Image").animate({"width":"200px","height":"376px","margin-left":"7px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .NewIn").animate({"width":"67px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Text").animate({"margin-left":"16px", "top":"306px", "font-size":"14px", "width":"184px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .BodyText").animate({"font-size":"11px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Shadow").animate({"width":"218px","top":"325px"},' + Duration + ')', Duration, true);
            addToAnimation(Animation, '$("#' + ItemID + '").removeClass("Position' + PositionIndex + '").addClass("Position4")', 0, false);
            break;
        case 5:
            addToAnimation(Animation, '$("#' + ItemID + '").css("zIndex","500")', 0, false)
            addToAnimation(Animation, '$("#' + ItemID + '").animate({"top":"0px","left":"388px","opacity":"1"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .ItemContent").animate({"width":"235px","height":"376px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Image").animate({"width":"200px","height":"376px","margin-left":"7px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .NewIn").animate({"width":"67px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Text").animate({"margin-left":"16px", "top":"306px", "font-size":"14px", "width":"184px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .BodyText").animate({"font-size":"11px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Shadow").animate({"width":"218px","top":"325px"},' + Duration + ')', Duration, true);
            addToAnimation(Animation, '$("#' + ItemID + '").removeClass("Position' + PositionIndex + '").addClass("Position5")', 0, false);
            break;
        case 6:
            if (Math.abs(Direction) > 1 && Direction > 0) {
                addToAnimation(Animation, '$("#' + ItemID + '").css("zIndex","600")', 0, false)
            } else {
                addToAnimation(Animation, '$("#' + ItemID + '").css("zIndex","400")', 0, false)
            }
            addToAnimation(Animation, '$("#' + ItemID + '").animate({"top":"0px","left":"604px","opacity":"1"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .ItemContent").animate({"width":"235px","height":"376px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Image").animate({"width":"200px","height":"376px","margin-left":"7px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .NewIn").animate({"width":"67px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Text").animate({"margin-left":"16px", "top":"306px", "font-size":"14px", "width":"184px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .BodyText").animate({"font-size":"11px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Shadow").animate({"width":"218px","top":"325px"},' + Duration + ')', Duration, true);
            addToAnimation(Animation, '$("#' + ItemID + '").removeClass("Position' + PositionIndex + '").addClass("Position6")', 0, false);
            break;
        case 7:
            addToAnimation(Animation, '$("#' + ItemID + '").css("zIndex","300")', 0, false)
            addToAnimation(Animation, '$("#' + ItemID + '").animate({"top":"32px","left":"678px","opacity":"1"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .ItemContent").animate({"width":"195px","height":"312px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Image").animate({"width":"166px","height":"312px","margin-left":"6px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .NewIn").animate({"width":"55px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Text").animate({"margin-left":"12px", "top":"254px", "font-size":"13px", "width":"153px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .BodyText").animate({"font-size":"10px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Shadow").animate({"width":"181px","top":"268px"},' + Duration + ')', Duration, true);
            addToAnimation(Animation, '$("#' + ItemID + '").removeClass("Position' + PositionIndex + '").addClass("Position7")', 0, false);
            break;
        case 8:
            addToAnimation(Animation, '$("#' + ItemID + '").css("zIndex","200")', 0, false)
            addToAnimation(Animation, '$("#' + ItemID + '").animate({"top":"56px","left":"744px","opacity":"1"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .ItemContent").animate({"width":"162px","height":"264px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Image").animate({"width":"140px","height":"260px","margin-left":"5px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .NewIn").animate({"width":"45px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Text").animate({"margin-left":"10px", "top":"211px", "font-size":"12px", "width":"130px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .BodyText").animate({"font-size":"9px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Shadow").animate({"width":"150px","height":"34px","top":"230px"},' + Duration + ')', Duration, true);
            addToAnimation(Animation, '$("#' + ItemID + '").removeClass("Position' + PositionIndex + '").addClass("Position8")', 0, false);
            break;
        case 9:
            addToAnimation(Animation, '$("#' + ItemID + '").css("zIndex","100")', 0, false)
            addToAnimation(Animation, '$("#' + ItemID + '").animate({"top":"80px","left":"811px", opacity: 1},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .ItemContent").animate({"width":"135px","height":"216px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Image").animate({"width":"114px","height":"216px","margin-left":"4px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .NewIn").animate({"width":"37px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Text").animate({"margin-left":"8px", "top":"175px", "font-size":"11px", "width":"110px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .BodyText").animate({"font-size":"8px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Shadow").animate({"width":"125px","height":"28px","top":"190px"},' + Duration + ')', Duration, true);
            addToAnimation(Animation, '$("#' + ItemID + '").removeClass("Position' + PositionIndex + '").addClass("Position9")', 0, false);
            break;
        case 10:
            addToAnimation(Animation, '$("#' + ItemID + '").css("zIndex","50")', 0, false)
            addToAnimation(Animation, '$("#' + ItemID + '").animate({"top":"100px","left":"863px", opacity: 0.33},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .ItemContent").animate({"width":"112px","height":"168px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Image").animate({"width":"89px","height":"168px","margin-left":"3px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .NewIn").animate({"width":"30px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Text").animate({"margin-left":"6px", "top":"145px", "font-size":"9px", "width":"91px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .BodyText").animate({"font-size":"7px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Shadow").animate({"width":"104px","height":"23px","top":"140px"},' + Duration + ')', Duration, true);
            addToAnimation(Animation, '$("#' + ItemID + '").removeClass("Position' + PositionIndex + '").addClass("Position10")', 0, false);
            break;
        case 11:
            addToAnimation(Animation, '$("#' + ItemID + '").css("zIndex","40")', 0, false)
            addToAnimation(Animation, '$("#' + ItemID + '").animate({"top":"100px","left":"863px", opacity: 0},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .ItemContent").animate({"width":"112px","height":"168px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Image").animate({"width":"89px","height":"168px","margin-left":"3px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .NewIn").animate({"width":"30px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Text").animate({"margin-left":"6px", "top":"145px", "font-size":"9px", "width":"91px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .BodyText").animate({"font-size":"7px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Shadow").animate({"width":"104px","height":"23px","top":"140px"},' + Duration + ')', Duration, true);
            addToAnimation(Animation, '$("#' + ItemID + '").removeClass("Position' + PositionIndex + '").addClass("Position11")', 0, false);
            break;
        case 12:
            addToAnimation(Animation, '$("#' + ItemID + '").css("zIndex","30")', 0, false)
            addToAnimation(Animation, '$("#' + ItemID + '").animate({"top":"100px","left":"863px", opacity: 0},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .ItemContent").animate({"width":"112px","height":"168px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Image").animate({"width":"89px","height":"168px","margin-left":"3px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .NewIn").animate({"width":"30px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Text").animate({"margin-left":"6px", "top":"145px", "font-size":"9px", "width":"91px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .BodyText").animate({"font-size":"7px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Shadow").animate({"width":"104px","height":"23px","top":"140px"},' + Duration + ')', Duration, true);
            addToAnimation(Animation, '$("#' + ItemID + '").removeClass("Position' + PositionIndex + '").addClass("Position12")', 0, false);
            break;
        case 13:
            addToAnimation(Animation, '$("#' + ItemID + '").css("zIndex","20")', 0, false)
            addToAnimation(Animation, '$("#' + ItemID + '").animate({"top":"100px","left":"863px", opacity: 0},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .ItemContent").animate({"width":"112px","height":"168px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Image").animate({"width":"89px","height":"168px","margin-left":"3px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .NewIn").animate({"width":"30px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Text").animate({"margin-left":"6px", "top":"145px", "font-size":"9px", "width":"91px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .BodyText").animate({"font-size":"7px"},' + Duration + ')', Duration, false);
            addToAnimation(Animation, '$("#' + ItemID + ' .Shadow").animate({"width":"104px","height":"23px","top":"140px"},' + Duration + ')', Duration, true);
            addToAnimation(Animation, '$("#' + ItemID + '").removeClass("Position' + PositionIndex + '").addClass("Position13")', 0, false);
            break;
    }

    // Clean Up
    addToAnimation(Animation, '$("#' + ItemID + '").removeAttr("style")', 10, false)
    addToAnimation(Animation, '$("#' + ItemID + ' .ItemContent").removeAttr("style")', 10, false)
    addToAnimation(Animation, '$("#' + ItemID + ' .Image").removeAttr("style")', 10, false)
    addToAnimation(Animation, '$("#' + ItemID + ' .NewIn").removeAttr("style")', 10, false)
    addToAnimation(Animation, '$("#' + ItemID + ' .Text").removeAttr("style")', 10, false)
    addToAnimation(Animation, '$("#' + ItemID + ' .BodyText").removeAttr("style")', 10, false)
    addToAnimation(Animation, '$("#' + ItemID + ' .Shadow").removeAttr("style")', 10, false)

    runAnimation(Animation);
}

