//////////////Page scrolling 
var productViewPosition = "fixed";
var AlsoBoughtPosition = null;
var prevScrollTop = 0;
var phase = 1;
var orginalViewPosition = 75;
var XHRCount = 0;
var hashExists = false;
var hashSelected = false;
var AlwaysStatic = false;

function isTouchDevice() {
    return (typeof (window.ontouchstart) != 'undefined') ? true : false;
}

function ProductPageReady() {
    // Initialise functions

    // On document load hide all size boxes for an item (if more than one size box)
    $('.productPage .selectedItemInfo .selectDetail .chooseSize').each(function () {
        var n = $(this).children('.sizeSelect').length;
        if (n > 1) {
            $(this).children('.sizeSelect').hide();
        }
    });

    // On document load hide all product notes for all items
    $(".productPage .closeMedia").each(function () {
        $(this).closest('.selectedItemInfo').children('.productNotes').hide();
        $(this).closest('.selectedItemInfo').children('.selectedProductNotes').hide();
        $('.selectedItemInfo .ItemInfo .detailSizingText #moreOrLessInfo').text('More Info');
    });

    // Set first item detail to selected when first rendered and display product notes
    $('.productPage').each(function () {
        var firstItem = $('.productPage .selectedItemInfo .ItemInfo').children('.unSelected:first');
        var firstLink = $('.productPage .selectedItemInfo .ItemInfo .detailSizingText').children('#moreOrLessInfo:first');
        //$(firstItem).toggleClass('unSelected selected');
        $(firstItem).closest('.selectedItemInfo').children('.selectedProductNotes').show();
        $(firstLink).text('Less Info');
    });

    // When page first loads set size (if applicable) to match selected colour fit item
    $('.productPage .selectBoxId').ready(function () {
        $('.selectedItemInfo .selectDetail .chooseColour .selectBoxId').each(function () {
            var selectedValue = '.' + $(this).find(':selected').val();
            $(selectedValue).closest('.chooseSize').each(function () {
                $(selectedValue).parent().show();
            });
        });
    });

    // End of Initialise


    //    $(".productPage .unSelected").click(function () {
    //        showOnlyCurrentOne(this);
    //        $(this).closest('.selectedItemInfo').children('.productNotes').slideDown(1000);
    //        $(this).closest('.selectedItemInfo').children('.selectedProductNotes').slideDown(1000);
    //        $(this).closest('#moreOrLessInfo').text('Less Info');
    //        var prevSelected = $(".productPage .selectedItemInfo .ItemInfo .selected");
    //        $(prevSelected).toggleClass('selected unSelected');
    //        $(this).toggleClass('unSelected selected');
    //    });

    //    $(".productPage .selected").click(function () {
    //        showOnlyCurrentOne(this);
    //        $(this).closest('.selectedItemInfo').children('.productNotes').slideDown(1000);
    //        $(this).closest('.selectedItemInfo').children('.selectedProductNotes').slideDown(1000);
    //        //$('.selectedItemInfo .ItemInfo .detailSizingText #moreOrLessInfo').text('Less Info');
    //        var prevSelected = $(".productPage .selectedItemInfo .ItemInfo .selected");
    //        $(prevSelected).toggleClass('selected unSelected');
    //        $(this).toggleClass('selected unSelected');
    //    });

    $(".productPage .closeMedia").click(function () {
        showOnlyCurrentOne(this);
        $(this).closest('.selectedItemInfo').children('.productNotes').slideUp(1000);
        $(this).closest('.selectedItemInfo').children('.selectedProductNotes').slideUp(1000);
        $('.selectedItemInfo .ItemInfo .detailSizingText #moreOrLessInfo').text('More Info');
    });

    $('.productPage article.tabs section > h3').click(function () {
        $('.productPage article.tabs section').removeClass('current');
        $(this).closest('section').addClass('current');
    });

    $('.productPage a').click(function () {
        if ($(this).text() == 'Less Info') {
            $(this).closest('.selectedItemInfo').children('.productNotes').slideUp(1000);
            $(this).closest('.selectedItemInfo').children('.selectedProductNotes').slideUp(1000);
            $(this).text('More Info');
        }
        else if ($(this).text() == 'More Info') {
            showOnlyCurrentOne(this);
            $(this).closest('.selectedItemInfo').children('.productNotes').slideDown(1000);
            $(this).closest('.selectedItemInfo').children('.selectedProductNotes').slideDown(1000);
            $(this).text('Less Info');
        }
    });

    // On change of colour / fit item show appropriate size and hide others
    $('.productPage .selectBoxId').change(function () {
        var selectedValue = '.' + $(this).find(':selected').val();
        $(selectedValue).closest('.selectedItemInfo .selectDetail .chooseSize').each(function () {
            var n = $(this).children('.sizeSelect').length;
            if (n > 1) {
                $(this).children('.sizeSelect').hide();
            }
        });
        $(selectedValue).parent().show();
    });

    function showOnlyCurrentOne(theCurrentOne) {
        var notes = document.getElementsByTagName("section");
        for (var x = 0; x < notes.length; x++) {
            var className = notes[x].getAttribute("class");
            if (className == 'productNotes' || className == 'selectedProductNotes') {
                if ($(!theCurrentOne).closest('.selectedItemInfo')) {
                    $('.selectedItemInfo').children('.productNotes').slideUp(1000);
                    $('.selectedItemInfo').children('.selectedProductNotes').slideUp(1000);
                    $('.selectedItemInfo .ItemInfo .detailSizingText #moreOrLessInfo').text('More Info');
                }
            }
        }
    }

}
//If hash param is passed to product page, show that item instead of default
function SelectItemFromHash() {
    //Check for hash
    if (window.location.hash != null && window.location.hash != "") {

        hashExists = true;


        //Get formatted item ID from hash value
        var itemId = window.location.hash.replace("#", "");
        var formattedId = itemId.substring(0, 3) + "-" + itemId.substring(3, 6) + "-" + itemId.substring(6, 9);
        //Try to find the option in a select list with matching item id value
        var requiredOption = $("option[value='" + formattedId.toUpperCase() + "']").first();
        var parentWrapper;

        //If selected item is part of a drop down option list, select that item
        if (requiredOption.length) {
            var parentDdl = $(requiredOption).closest("select").first();

            //Check we're not trying to select an already selected item in the first item block
            //Get the target element's parent article
            var parentArticle = $(parentDdl).closest("article").first();
            //Check if it's the first item (class set in XSL)
            var isFirst = $(parentArticle).hasClass("FirstItem");
            //Get the current selection
            var currSelection = $(parentDdl).val().toUpperCase();
            //Get the target itemID
            var checkFormattedId = formattedId.toUpperCase();
            //If we are trying to target the first element/article AND the same itemID, cancel the reuest 
            //as could trigger a load of an image different to the image selected in search results
            if (isFirst && currSelection == checkFormattedId) {
                return false;
            }

            //Set selected option to 'selected'
            $(requiredOption).attr("selected", "selected");
            //Load options/sizes for this item
            getStyleOptions(parentDdl);
            parentWrapper = $(parentDdl).closest(".StyleCopy");
        }
        //Else - the item is a single item option - the id will be in a hidden field
        else {
            requiredOption = $(".hdnItmId[value='" + formattedId.toUpperCase() + "']").first();
            parentWrapper = $(requiredOption).closest(".StyleCopy");
        }

        //Fire a click for required item to set styles/load cloud zoom etc..
        $(parentWrapper).prev(".StyleImages").find("a").first().click();

        hashSelected = true;
    }
}

//Get selected/default item and load reviews for it
function LoadInitialReview() {
    var itemNumber = $("section.ProductDetail article.Selected div.ItemNumber").text();
    var formattedID = itemNumber.replace(/-/g, '').substring(0, 6);
    loadReview(formattedID, null, null, true);
}

function setFixedPositioning() {

    if ($.browser.msie && $.browser.version < 8) {
        $('.ProductPage .ProductImagery').addClass('Static');
        AlwaysStatic = true;
    }

    if (isTouchDevice()) {
        $('.ProductPage .ProductImagery').addClass('Static');
        AlwaysStatic = true;
    }


}

//This function resizes page elements to allow page to scroll and set scroll positions correctly
//In order to switch between fixed and static positioning, we need to add margins and paddings to certain elements
function resizeItemScroller() {


    $(".ProductDetail").css("margin-bottom", 0);
    AlwaysStatic = false;
    var scrollTop = $(window).scrollTop();

    var imageBlockBottom = $("#ProductImageBottom").offset().top - scrollTop;
    var itemsBlockBottom = $("#lastArticleBottom").offset().top - scrollTop;
    var lastItemImageBottom = $("#lastItemImageGrab").offset().top - scrollTop;
    var shotViewBottom = $("#viewerBottom").offset().top - scrollTop;
    var viewerTop = $("#viewerTop").offset().top - scrollTop;
    var productDetailHeight = $(".ProductDetail").height();
    var shotViewHeight = $(".ShotView").height();
    var ProductImagery = $(".ProductImagery").height();


    //If bottom of product column is higher than the bottom of the image column, we need
    //to add padding to push other page content further down the page
    if (itemsBlockBottom < imageBlockBottom) {
        var requiredMargin = (imageBlockBottom - itemsBlockBottom);

        //If the last product image is below the bottom of the shot view,
        //need to add further padding to allow for scrolling up to that point
        if (lastItemImageBottom > shotViewBottom) {
            requiredMargin += (lastItemImageBottom - shotViewBottom);
        }




        if (scrollTop == 0) {

            if (viewerTop < 50) {
                requiredMargin += (30 - viewerTop);
            }

        }

        //Apart from IE7 where we don't have fixed positioning
        if ($.browser.msie && $.browser.version < 8) {

            requiredMargin = 0;
        }

        //Also touch screen devices
        if (isTouchDevice()) {
            requiredMargin = 0;
        }

        if (requiredMargin < 0) {
            requiredMargin = 0;
        }

        $(".ProductDetail").css("margin-bottom", requiredMargin);
    }

    //If the items column extends further than the image column, we still need to add some margin on the bottom
    //so the reviews container buts up to the bottom of the zoom component when we scroll
    if (itemsBlockBottom > imageBlockBottom) {
        //console.log(imageBlockBottom + " " + shotViewBottom + " " + imageBlockBottom + " " + lastItemImageBottom);
        var requiredMargin = (imageBlockBottom - shotViewBottom) - (itemsBlockBottom - lastItemImageBottom);

        //Apart from IE7 where we don't have fixed positioning
        if ($.browser.msie && $.browser.version < 8) {

            requiredMargin = 0;
        }

        if (requiredMargin < 0) {
            requiredMargin = 0;
        }

        $(".ProductDetail").css("margin-bottom", requiredMargin);

    }

    //If last product image is above the bottom of the shotview, we wont need fixed positioning
    if (lastItemImageBottom < shotViewBottom) {
        $('.ProductPage .ProductImagery').addClass('Static');
        AlwaysStatic = true;

    }

    //If there's only 1 item, we wont need the fixed positioning
    if ($("Section.ProductDetail article.FirstItem").hasClass("LastItem")) {
        $('.ProductPage .ProductImagery').addClass('Static');
        AlwaysStatic = true;
    }



    if (productDetailHeight < shotViewHeight) {
        $('.ProductPage .ProductImagery').addClass('Static');
        AlwaysStatic = true;
    }


    //    if (productDetailHeight < ProductImagery) {
    //        $(".ProductDetail").css("margin-bottom", (ProductImagery - productDetailHeight));
    //    }


    //Ie 7 and below don't handle fixed positioning well enough to implement
    //Stick to static
    setFixedPositioning();

    scrollElements();
}



//Set positioning of product viewer based on scroll position of page

function scrollItemToTop(link) {


    var targetScrollPoint = 154;

    if (HidePrimaryNavigation) { targetScrollPoint = 120; }


    //    var containerIndex = $(link).parent().parent().parent().index();
    var itemOffset = $(link).offset().top;
    var mousetrapTop = $(".ProductImagery ").offset().top;
    var windowScrollTop = $(".PageHeader").offset().top;
    var scrollDistance = (itemOffset - targetScrollPoint);

    var grabPointOffset = $("div.grabPoint").offset().top;

    var LinkToGrabPoint = grabPointOffset - itemOffset;
    var shotHeight = $(".ShotView img").height();

    if (shotHeight > LinkToGrabPoint) {
        scrollDistance -= (shotHeight - LinkToGrabPoint);
    }


    $("html:not(:animated),body:not(:animated)").animate(
        { scrollTop: scrollDistance },
        {
            duration: 500,
            step: function (now, fx) {
                //Can intercept object position here
            }
        });

}

function showItem(itemNumber, link) {
    //Format item number
    itemNumber = itemNumber.replace(/-/g, '').substring(0, 6);

    if ($(link).parent().parent().parent().hasClass("Selected")) {
        return false;
    }
    $(".Style.Selected").removeClass("Selected");
    $(link).parent().parent().parent().addClass("Selected");



    //var book = $("#hdnPublication").val();
    //var page = $("#hdnPage").val();
    var mainImage = cdnURL + "/Common/Items/Default/Default/ItemImages/AltItemShot/" + itemNumber + ".jpg";
    var tnImage = cdnURL + "/Common/Items/Default/Default/ItemImages/AltItemThumb/" + itemNumber + ".jpg";
    var zoomImage = cdnURL + "/Common/Items/Default/Default/ItemImages/AltItemZoom/" + itemNumber + ".jpg";
    var params = {
        ThumbnailImage: tnImage,
        SmallImage: mainImage,
        LargeImage: zoomImage,
        Name: "Test"
    };

    updateCloudZoom(params, function () {

        if ($.browser.msie && $.browser.version < 8) {

        } else {
            scrollItemToTop(link);
        }

    });

    return false;
}

//Enable add to bag link when size drop down is selected
function enableBagLink(ddl) {

    var isSoldOut = false;
    //If a hidden field was passed in
    if (ddl[0].type == "hidden") {
        if ($(ddl).hasClass("SoldOut")) {
            isSoldOut = true;
        }
        //Else, it's a select list
    } else {

        //This is hack to get the selected item to display the correct color
        //Should be easier than this but it isn't...
        var selectedOption = $(ddl).find("option:selected");

        if ($(selectedOption).hasClass("SoldOut")) {
            isSoldOut = true;
            $(ddl).css("color", "red");
        } else {
            $(ddl).css("color", "black");
        }

        $(ddl).find("option").each(function () {
            if ($(this).hasClass("SoldOut")) {
                $(this).css("color", "red");
            } else {
                $(this).css("color", "black");
            }
        });

    }

    if (isSoldOut) {

        $(ddl).closest(".StyleForm").find("a.Button").removeClass("Enabled").addClass("Disabled");
        $(ddl).closest(".StyleForm").find("a.Button").attr("data-description", "This item is currently out of stock");

        var settings =
        {
            errorMessage: true,
            align: "right",
            marginLeft: -200,
            width: 140,
            marginTop: 20,
            closeOnDialogueOut: true,
            color: "red"
        }


        if ($.browser.msie) {

            settings =
                {
                    errorMessage: true,
                    align: "right",
                    marginLeft: -200,
                    width: 140,
                    marginTop: 50,
                    closeOnDialogueOut: true,
                    color: "red"
                }
        }


        $(ddl).closest(".StyleForm").find("a.Button").hover(

        function () { showDialoguePopUp(this, settings); },
        function () { }
        );


    } else {
        $(ddl).closest(".StyleForm").find("a.Button").unbind('mouseenter mouseleave');
        $(ddl).closest(".StyleForm").find("a.Button").removeClass("Disabled").addClass("Enabled");

    }
}

//Get size options/stock status for initialy loaded items
function loadInitialOptions() {
    //Loop trough each item where we have style AND size option drop down lists
    $(".ProductDetail select.subStyleList").each(function () {
        var sizeDdl = $(this).parent().parent().find("select.SizeSelector");
        var selectedID = $(this).val();
        if (sizeDdl.length) {
            bindStyleOptionList(selectedID, sizeDdl);
            ShowWarranty(this);
        }
    });

    //Loop trough each item where we have multiple style options but only 1 size
    $(".ProductDetail select.subStyleList").each(function () {
        var sizeHdn = $(this).parent().parent().find(".hdnOption");
        var selectedID = $(this).val();
        if (sizeHdn.length) {
            bindStyleOptionList(selectedID, sizeHdn);
            ShowWarranty(this);
        }

    });

    //Loop through each item where we only have size options
    $(".ProductDetail .hdnItmId").each(function () {

        var sizeDdl = $(this).parent().find(".SizeSelector");
        var selectedID = $(this).val();

        if (sizeDdl.length) {
            bindStyleOptionList(selectedID, sizeDdl);
            ShowWarranty(this);
        }

    });
    //Loop through each item where we have 1 style and 1 size
    $(".ProductDetail .hdnItmId").each(function () {
        var sizeHdn = $(this).parent().find(".hdnOption");
        var selectedID = $(this).val();
        if (sizeHdn.length) {
            bindStyleOptionList(selectedID, sizeHdn);
            ShowWarranty(this);
        }

    });
}


function CheckHashItem() {

    if (hashExists && hashSelected) {
        return false;
    }

    if (XHRCount > 0) {
        setTimeout(function () { CheckHashItem(); }, 200);
        return false;
    } else {
        SelectItemFromHash();
    }
}


//Update size option list with item sizes and stock status 
function bindStyleOptionList(itemID, replaceControl, ignoreHash) {

    XHRCount++;
    if (!ignoreHash) {
        setTimeout(function () { CheckHashItem(); }, 200);
    }

    var ctrlType = "select";

    var curSelection = "";
    //If we are replacing a drop down list, store its current size selection
    if (replaceControl[0].type == "select-one") {
        curSelection = $(replaceControl).val();
    } else {
        ctrlType = "hidden";
    }
    //Tidy up item ID
    var sVal = itemID.replace(/-/g, '');
    sVal = sVal.toLowerCase();
    //Load new drop down list populated with size options and stock status for selected item ID
    $.ajax({
        url: "/item/" + sVal + "?CTRL=" + ctrlType,
        dataType: 'text',
        error: function () {
            XHRCount--;
        },
           success: function (data, textStatus, jqXHR) {
           	checkAndRedirectForAjaxError(jqXHR, false, 'Productpage.js: bindStyleOptionList');
            XHRCount--;
            var updatedCtrl = $(data);
            //If only 1 value is returned in drop down, store value in hidden field
            //First option will always be 'choose size' so need to check for second option
            //            if ($(updatedCtrl).find("option").size() == 2) {
            //                //Get single option values
            //                var singleOption = $(updatedCtrl).find("option")[1];
            //                var singleClass = $(singleOption).attr("class");
            //                var singleValue = $(singleOption).attr("value");
            //                //Set updatedCtrl to a hidden field rather than binding a 1 option drop down to the page
            //                updatedCtrl = $("<input class=\"hdnOption " + singleClass + "\" type=\"hidden\" value=\"" + singleValue + "\" />");
            //            }
            //Add new size option control - either a dropdown or a hidden field
            $(replaceControl).before(updatedCtrl);
            //Remove old control
            $(replaceControl).remove();
            hideDialoguePopUp(updatedCtrl);
            //Try to select previous selection if we have a value
            try {
                if (curSelection) {
                    $(updatedCtrl).val(curSelection);
                }
                enableBagLink(updatedCtrl);
            }
            catch (err) {
                //Entry doesn't exist
            }
        }
    });
}

function ShowWarranty(ctrl) {

    var itemId = $(ctrl).val();
    var warranyWrapperClass = ".ParentItem" + itemId;

    $(ctrl).closest(".StyleForm").find("div.Warranty").each(function () {
        $(this).removeClass("Enabled");
    });

    var warantyDD = $(ctrl).closest(".StyleForm").find("section.WarrantyItem").find("select");
    var containsValues = ElementContainsValues(warantyDD);



    if ($(ctrl).closest(".StyleForm").find(warranyWrapperClass).length && containsValues) {
        $(ctrl).closest(".StyleForm").find(warranyWrapperClass).addClass("Enabled");
        $(ctrl).closest(".StyleForm").find("section.WarrantyItem").show();
    } else {
        $(ctrl).closest(".StyleForm").find("section.WarrantyItem").hide();
    }
    scrollElements();

}


function ElementContainsValues(ddl) {

    var containsValues = false;

    $(ddl).find("option").each(function () {

        if ($(this).index() > 0) {
            if ($(this).attr("value")) {
                containsValues = true;
            }
        }
    });

    return containsValues;

}

//Update style size option drop down
function getStyleOptions(ddl) {
    //Get ID of selected item
    var newItemId = $(ddl).val();
    //Show warranty for this item
    ShowWarranty(ddl);
    //Try to get corresponding, exisitng size option drop down
    var sizeCtrl = $(ddl).parent().parent().find("select.SizeSelector");
    //If we didn't find a drop down, the size will be a single option, stored in hidden field
    if (!sizeCtrl.length) {
        sizeCtrl = $(ddl).parent().parent().find(".hdnOption");
    }
    //Pass item id and current size option element to buildStyleOptionList method
    bindStyleOptionList(newItemId, sizeCtrl, true);

    //Tidy up ID
    var sVal = $(ddl).val().replace("-", ""); ;
    sVal = sVal.toLowerCase();
    var shortName = sVal.substring(0, 6);
    //Build new image URL - cdnURL is set as a global variable in parent page
    var newImgUrl = cdnURL + "/Common/Items/Default/Default/ItemImages/AltItemThumb/" + shortName + ".jpg";
    var parentWrapper = $(ddl).closest(".StyleCopy");

    //Update display image
    $(parentWrapper).prev(".StyleImages").find("img").attr("src", newImgUrl);

    //Update item number display
    $(parentWrapper).find(".ItemNumber").text($(ddl).val().substring(0, 7));

    //Update image click event (to load correct image in cloud zoom)
    $(parentWrapper).prev(".StyleImages").find("a").prop("onclick", null);
    $(parentWrapper).prev(".StyleImages").find("a").click(function () {
        showItem($(ddl).val(), this);
        return false;
    });

    //Update review count and review click events
    $(parentWrapper).find(".StyleMeta").addClass("Meta" + shortName);
    getReviewSummaries(shortName);

    $(parentWrapper).find("a.readReviewLink").prop("onclick", null);
    $(parentWrapper).find("a.readReviewLink").click(function () {
        loadReview(shortName);
    });

    $(parentWrapper).find("a.readReviewImg").prop("onclick", null);
    $(parentWrapper).find("a.readReviewImg").click(function () {
        loadReview(shortName);
    });

    //Update cloud zoom if current article is selected
    if ($(parentWrapper).parent().hasClass("Selected")) {
        var mainImage = cdnURL + "/Common/Items/Default/Default/ItemImages/AltItemShot/" + shortName + ".jpg";
        var tnImage = cdnURL + "/Common/Items/Default/Default/ItemImages/AltItemThumb/" + shortName + ".jpg";
        var zoomImage = cdnURL + "/Common/Items/Default/Default/ItemImages/AltItemZoom/" + shortName + ".jpg";
        var params = {
            ThumbnailImage: tnImage,
            SmallImage: mainImage,
            LargeImage: zoomImage,
            Name: "Test"
        };
        updateCloudZoom(params);
    }

}



//Add to bag validation
function validateControl(control) {
    return $(control).validateControl('validate');
}



function SetLinkState(link, itemId) {

    var itemSent = true;
    //First check if item is still waiting to be added
    for (var i = 0; i < NextBasket.OutboundStack.length; i++) {

        var curItemArray = NextBasket.OutboundStack[i].itemArray;

        for (var j = 0; j < curItemArray.length; j++) {
            //Check if itemId is still in inbound stack
            //            console.log(curItemArray[j]);
            //            console.log(curItemArray[j].ItemNumber);
            //            console.log(itemId);
            var targetId = curItemArray[j].ItemNumber + curItemArray[j].PublicationCode;
            if (targetId == itemId) {
                itemSent = false;
            }
        }

    }

    if (itemSent) {

        $(link).removeClass("Disabled");
        $(link).removeClass("Loading");
    } else {
        $(link).addClass("Disabled");
        $(link).addClass("Loading");
        //Repeat check until item has been sent
        setTimeout(function () {
            SetLinkState(link, itemId);
        }, 500);
    }



}

//Add item to bag - including warranty
function AddToBag(link) {
    //Cancel add to bag if link is disabled
    if ($(link).hasClass("Disabled")) {
        return false;
    }

    //Get parent form/container - all corresponding controls for this item are within this element
    var parentForm = $(link).closest(".StyleForm");
    var id = "";
    var size = "";
    //Get dropdown lists
    var styleDdl = $(parentForm).find("select.subStyleList");
    var sizeDdl = $(parentForm).find('select[name*="Size"]');
    //Get values from dropdown lists, if present
    if ($(styleDdl).val()) {
        id = $(styleDdl).val();
    }
    if ($(sizeDdl).length > 0) {
        //Need to validate size dropdown 
        if (!validateControl(sizeDdl)) {
            return false;
        }
        //Make sure item is in stock
        if ($(':selected', sizeDdl).hasClass('SoldOut')) {
            // alert("not in stock");
            return false;
        }
        size = $(sizeDdl).val();
    }
    //If drop down lists were not used (i.e. only one option), IDs will have been set in hidden fields
    if (id.length == 0) {
        var hdnItmId = $(parentForm).find("input.hdnItmId");
        id = $(hdnItmId).val();
    }
    if (size.length == 0) {
        var hdnOption = $(parentForm).find("input.hdnOption");
        size = $(hdnOption).val();
    }
    var fullId = id;
    //clean up ID 
    id = id.replace(/-/g, '');

    //Set link to inactive 
    $(link).addClass("Disabled");
    $(link).addClass("Loading");

//    setTimeout(function () {
//        SetLinkState(link, id);
//    }, 500);



    //Check for warranty item
    var addWithWarranty = true;
    var warrantyWrapperName = ".ParentItem" + fullId;
    var ddlWarantyItem = $(parentForm).find(warrantyWrapperName).find("select.ddlWarantyItem");
    var hdnWarranty = $(parentForm).find(warrantyWrapperName).find("input.hdnWarranty");


    var linkClass = "tempClass" + id;
    $(link).addClass(linkClass);

    if ($(ddlWarantyItem).val() && $(hdnWarranty).val()) {
        var warantyId = $(hdnWarranty).val().replace(/-/g, '');
        var warantyOption = $(ddlWarantyItem).val();
        if (warantyOption != "0") {
            //Add the item with warranty
            NextBasket.ItemAddWarranty(id, size, warantyId, warantyOption, function () {
                
                var targetClass = "." + linkClass;

                $(targetClass).removeClass("Disabled");
                $(targetClass).removeClass("Loading");

            });
        } else {
            addWithWarranty = false;
        }
    } else {
        addWithWarranty = false;
    }

    //No warranty - just add the item
    if (!addWithWarranty) {
        NextBasket.ItemAdd(id, size, 1, false, function () {
            var targetClass = "." + linkClass;

            $(targetClass).removeClass("Disabled");
            $(targetClass).removeClass("Loading");

          

        });
    }

}


//Update cloud zoom plugin
function updateCloudZoom(params, callback) {

    var thumbnailImage = params.ThumbnailImage,
                        smallImage = params.SmallImage,
                        largeImage = params.LargeImage,
                        name = params.Name;

    $("#ZoomComponent").ZoomComponent('addZoomItem', smallImage, largeImage, '', callback);


}



//AJAX REVIEW FUNCTIONS//////////////////////////////////////////

//////Bazaarvoice Settings////////////////////////////
var BVitemsPerPage = 3;
var BVapiversion = "5.0";
var BVpasskey = "2l72hgc4hdkhcc1bqwyj1dt6d";
var BVURL = "http://next.ugc.bazaarvoice.com/";
var BVreviews = "/data/reviews.json";
var BVAuthors = "/data/authors.json";
var BVproducts = "/data/products.json";
var BVcomments = "/data/reviewcomments.json";
////////////////////////////////////////////

//Get review summaries on page load
function getReviewSummaries(itemId) {



    if ($("#idList").length < 1) {
        setTimeout(getReviewSummaries, 100);
    }

    var idList;
    var forceLoadReview = false;

    if (itemId != null) {
        idList = itemId;
        //If itemId has been passed in, we are calling this from a style change in the drop down
        //In this case we need to load reviews for the selected item
        forceLoadReview = true;
    } else {
        idList = $("#idList").val();
    }

    var apiURL = BVURL + BVproducts;
    var staticParams = "apiversion=" + BVapiversion + "&passkey=" + BVpasskey;
    var reviewParams = "stats=reviews";
    
    var targetURL = apiURL + "?" + staticParams + "&Filter=Id:" + idList + "&" + reviewParams;

    //Get review summaries
    $.ajax({
        url: targetURL,
        dataType: 'jsonp',
        cache: true, // Do Not Remove - Required for Bazaar Voice CDN Caching
        jsonpCallback: 'bvGetReviewSummaries', // Do Not Remove - Required for Bazaar Voice CDN Caching
        type: 'GET',
        success: function (data, textStatus, jqXHR) {
         
            checkAndRedirectForAjaxError(jqXHR, false, 'Productpage.js: getReviewSummaries'); 
            bindReviewSummaries(data, forceLoadReview); },
        error: function (xhr, ajaxOptions, thrownError) {
        
            ajaxError(xhr, ajaxOptions, thrownError);
        }
    });
}

function bvGetReviewSummaries(data, textStatus, jqXHR) {
    // Please do not remove this method
    // This is defined in the jsonpCallback for a pjson ajax request so that a cache buster is not added to the end of the request url
    // Removing the jsonpCallback and this method will cause all requests to be routed through Bazaar Voices Origin Servers instead of their CDN

    // Let the success callback of the originating ajax call do the rest of the work
}




//Bind review summaries to page
function bindReviewSummaries(data, forceLoadReview) {



    for (var i = 0; i < data.Results.length; i++) {
        var result = data.Results[i];
        var reviewCount = result.TotalReviewCount;
        var productId = result.Id;
        var targetEl = ".Meta" + productId;
        var reviewWord = " Reviews";

        if (reviewCount == 1) {
            reviewWord = " Review";
        }

        $(targetEl).find(".reviewCount").text(reviewCount + reviewWord);

        //remove existing review link if present
        if ($(targetEl).find(".reviewCount").parent().hasClass("readReviewLink")) {
            $(targetEl).find(".reviewCount").unwrap();
        }


        if (reviewCount == 0) {
            $(targetEl).find(".Reviews .Text").addClass("zeroReviews");

        } else {
            $(targetEl).find(".Reviews .Text").removeClass("zeroReviews");
            $(targetEl).find(".reviewCount").wrap("<a onclick=\"loadReview('" + result.Id + "'); return false;\" class=\"readReviewLink\" href=\"#\"></a>");

            if (forceLoadReview) {
                loadReview(result.Id, false, null, true);

            }
        }

        var pId = result.Id;

        $(targetEl).find(".writeReviewLink").unbind('click');
        $(targetEl).find(".writeReviewLink").attr("onclick", "$BV.ui('rr', 'submit_review', { productId: '" + pId + "' });");



        //onclick=""

        //find("a.readReviewLink").prop("onclick", null);

        //$(targetEl).find(".starOverlay").remove();

        if (result.ReviewStatistics.AverageOverallRating == null) {
            $(targetEl).find("img.reviewStars").first().hide();
        } else {

            // var rating = (Math.round(result.ReviewStatistics.AverageOverallRating * 10)) / 10;

            //            var overlayWidth = Math.ceil(rating * 13);
            //            var starOverlay = $("<div />");
            //            $(starOverlay).addClass("starOverlay")
            //            .attr("title", "Rating: " + rating)
            //            .width(overlayWidth);


            //  $(targetEl).find("img.reviewStars").first().after(starOverlay);


            var rating = roundToHalf(result.ReviewStatistics.AverageOverallRating);
            if (rating > 5) { rating = 5; }

            var ratingImg = "/images/structural/search/item-stars/" + rating + ".gif";
            var cImg = $(targetEl).find("img.reviewStars").first();

            $(cImg).attr("src", ratingImg);
            $(cImg).attr("title", "Rating: " + rating);
            $(cImg).show();
        }

    }
}

function roundToHalf(value) {
    var converted = parseFloat(value); // Make sure we have a number 
    var decimal = (converted - parseInt(converted, 10));
    //Set to Math.floor to match value returned by search provider
    decimal = Math.floor(decimal * 10);
    if (decimal == 5) { return (parseInt(converted, 10) + 0.5); }
    if ((decimal < 3) || (decimal > 7)) {
        return Math.round(converted);
    } else {
        return (parseInt(converted, 10) + 0.5);
    }
}

//Load review by ID
function loadReview(id, keepNav, pageIndex, suppressAnimation) {

    //Commented-out code uses old method of pulling in reviews - leave in for now
    //    $BV.ui("rr", "show_reviews", { productId: id });


    //    if (!suppressAnimation) {
    //        $(".ReviewContainer").NextSlideWindow("Open");
    //        var scrollTargetPos = $("#Reviews").offset().top - 131;
    //        $('html,body').animate({ scrollTop: scrollTargetPos }, 700);

    //    } else {
    //        $(".ReviewContainer").NextSlideWindow("Close");
    //    }

    //  return false;

    //Page index is passed in from pagination
    if (pageIndex == null) {
        var pageIndex = 0;
    }
    //If nav isn't being rebuilt (i.e. we're paging through the same set of comments), style the current pagination link
    if (keepNav) {
        styleLivePageLink(pageIndex);
    }
    //Calculate index to pass to BV api
    var offset = pageIndex * BVitemsPerPage;
    //Build api URL
    var targetUrl = BVURL +
                    BVreviews +
                    "?apiversion=" +
                    BVapiversion +
                    "&passkey=" +
                    BVpasskey +
                    "&sort=rating:desc&Limit=" +
                    BVitemsPerPage +
                    "&Filter=ProductId:" + id +
                    "&Offset=" + offset +
                    "&Include=Comments";

    //AJAX call - pass result to bindReviewData
    $.ajax({
        url: targetUrl,
        dataType: 'jsonp',
        type: 'GET',
        cache: true, // Do Not Remove - Required for Bazaar Voice CDN Caching
        jsonpCallback: 'bvLoadReviewCallback', // Do Not Remove - Required for Bazaar Voice CDN Caching
        success: function (data, textStatus, jqXHR) { checkAndRedirectForAjaxError(jqXHR, false, 'Productpage.js: loadReview'); bindReview(data, keepNav, id, suppressAnimation); },
        error: function (xhr, ajaxOptions, thrownError) {
            ajaxError(xhr, ajaxOptions, thrownError);
        }
    });
}

function bvLoadReviewCallback(data, textStatus, jqXHR) {
    // Please do not remove this method
    // This is defined in the jsonpCallback for a pjson ajax request so that a cache buster is not added to the end of the request url
    // Removing the jsonpCallback and this method will cause all requests to be routed through Bazaar Voices Origin Servers instead of their CDN

    // Let the success callback of the originating ajax call do the rest of the work
}

//Bind review data to page
function bindReview(data, keepNav, id, suppressAnimation) {


    //ConsoleLog(data);

    if (data.TotalResults == 0) {
        $(".ReviewContainer").find("a.btnClose").click();
        $(".ReviewContainer").hide();
        return false;
    }

    if (!suppressAnimation) {
        //console.log("scrolling");
        var scrollTargetPos = $("#Reviews").offset().top - 131;
        $('html,body').animate({ scrollTop: scrollTargetPos }, 700);
    }

    //Display review in UL
    var output = "<ul>";
    //Loop through json results, build contents
    for (var i = 0; i < data.Results.length; i++) {
        output += "<li class=\"reviewBlock\">";
        output += "<div>";
        output += "<div class=\"userProfile\">";
        output += "<img class=\"avatar\" src=\"../next.ugc.bazaarvoice.com/static/4377-en_gb/noAvatar.gif\" />";
        output += "<div class=\"userBasics\">";
        output += "<h4><span onmouseover=\"getUserProfile('" + data.Results[i].AuthorId + "', this);\"><a  href=\"#\">" + data.Results[i].UserNickname + "</a></span></h4>";
        if (data.Results[i].ContextDataValues.Gender != null) {
            output += "<div class=\"status\"><span>" + data.Results[i].ContextDataValues.Gender.Value + "</span> Contributor</div>";
        }
        output += "<div class=\"prop\">From: <span>" + data.Results[i].UserLocation + "</span></div>";
        if (data.Results[i].ContextDataValues.age != null) {
            output += "<div class=\"prop\">Age: <span>" + data.Results[i].ContextDataValues.age.Value + "</span></div>";
        }
        if (data.Results[i].ContextDataValues.Gender != null) {
            output += "<div class=\"prop\">Gender: <span>" + data.Results[i].ContextDataValues.Gender.Value + "</span></div>";
        }
        output += "</div>";
        output += "<div class=\"userRating\">";
        //Rating image definition
        var ratingImagePath = "<img src=\"http://next.ugc.bazaarvoice.com/4377-en_gb/VALUE_0/5/ratingSecondary.gif\" title=\"VALUE out of 5\" alt=\"VALUE out of 5\" />";
        //Display correct image if user provided value
        if (data.Results[i].SecondaryRatings.Look) {
            output += "<div class=\"ratingBreakdown\">Look" + ratingImagePath.replace(/VALUE/g, data.Results[i].SecondaryRatings.Look.Value) + "</div>";
        }
        if (data.Results[i].SecondaryRatings.Quality) {
            output += "<div class=\"ratingBreakdown\">Quality" + ratingImagePath.replace(/VALUE/g, data.Results[i].SecondaryRatings.Quality.Value) + "</div>";
        }
        if (data.Results[i].SecondaryRatings.Comfort) {
            output += "<div class=\"ratingBreakdown\">Comfort" + ratingImagePath.replace(/VALUE/g, data.Results[i].SecondaryRatings.Comfort.Value) + "</div>";
        }
        output += "</div>";
        output += "</div>";
        output += "<div class=\"reviewText\">";
        output += "<h4>" + data.Results[i].Title + "</h4>";

        output += "<img width=\"66\" height=\"12\" src=\"/images/structural/search/item-stars/" + data.Results[i].Rating + ".gif\" class=\"reviewStars\" title=\"Rating: " + data.Results[i].Rating + "\">";



        //var subMissionDate = data.Results[i].SubmissionTime.substring(0, 10);

        //var monthNames = ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"]


        //var dateArr = subMissionDate.split('-');
       // var year = dateArr[0];
        //var month = monthNames[parseInt(dateArr[1]) - 1];
        //var day = dateArr[2];


       var dateJSON = formatDate(data.Results[i].SubmissionTime)

        output += "<p class=\"metaTitle\">" + dateJSON.day + " " + dateJSON.month + " " + dateJSON.year + "</p>";
        output += "<p>" + data.Results[i].ReviewText + "</p>";

        if (data.Results[i].IsRecommended == true) {
            output += "<div class=\"recommendedProduct\">";
            output += "Yes, I recommend this product.";
            output += "</div>";

        } else {
            output += "<div class=\"notRecommendedProduct\">";
            output += "No, I do not recommend this product.";
            output += "</div>";
        }


        if (data.Results[i].ClientResponses.length) {

            for (var j = 0; j < data.Results[i].ClientResponses.length; j++) {

                output += "<div class=\"clientResponse\">";
                output += "<h4>Response from Next.co.uk</h4>";
                output += "<h5>next.co.uk, " + data.Results[i].ClientResponses[j].Department + "</h5>";

                var responseDate = formatDate(data.Results[i].ClientResponses[j].Date);
                output += "<p class=\"responseDate\">" + responseDate.day + " " + responseDate.month + " " + responseDate.year + "</p>";

                output += "<p class=\"responseText\">" + data.Results[i].ClientResponses[j].Response + "</p>";
                output += "</div>";
            }
        
        }

        output += "<div class=\"voteHelpful\">";
        output += "<span class=\"voteTitle\">Was this review helpful?</span>";
        output += "<a class=\"voteYes\">Yes</a>";
        output += "<a class=\"voteNo\">No</a>";

        var fbc = 0;
        var fbp = 0;
        if (data.Results[i].TotalFeedbackCount != null) {
            fbc = data.Results[i].TotalFeedbackCount;
            fbp = data.Results[i].TotalPositiveFeedbackCount;
        }
        output += fbp + " of " + fbc + " voted this as helpful";
        output += "<a class=\"inappropriateContent\" href=\"#\">Report inappropriate content</a></div>";

        output += "<div class=\"ratingUtil\">";


        var postCommentLink = "<a class=\"postComment\" href=\"#\" onclick=\"$BV.ui('rr', 'submit_comment', { productId: '" + id + "', reviewId: '" + data.Results[i].Id + "' }); return false;\">Post a comment</a>";


        if (data.Results[i].CommentIds.length) {

            var commentCount = parseInt(data.Results[i].CommentIds.length);

            if (commentCount == 1) {
                output += "<a class=\"viewComments\" href=\"#\" onclick=\"showReviewComments('" + data.Results[i].Id + "','" + id + "',this); return false;\">1 person added to this post - Show Comments</a>";
       
            } else {
                output += "<a class=\"viewComments\" href=\"#\" onclick=\"showReviewComments('" + data.Results[i].Id + "','" + id + "',this); return false;\">" + data.Results[i].CommentIds.length + " people added to this post - Show Comments" + "</a>";
       
            }

            
       
       
        }

        output += postCommentLink;

       
        output += "<div style=\"clear:both;\"></div>";
        output += "</div>";
        output += "<div style=\"clear:both;\"></div>";
        output += "</div>";
        output += "<div style=\"clear:both;\"></div>";
        output += "</li>";
    }
    output += "</ul>";
    //Call databind method of next slide window (allows next slide window to take care of resizing etc..) - pass in 
    $('.ReviewContainer').NextSlideWindow('DataBind', output, suppressAnimation);
    //If we're not persisting the pagination, build a new one
    if (!keepNav) {
        var totalResults = data.TotalResults;
        buildReviewPagination(id, totalResults, suppressAnimation);
    }
    $('.ReviewContainer').show();


}

function formatDate(JavascriptDateTime) {

    var dateString = JavascriptDateTime.substring(0, 10);

    var monthNames = ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"]

    var dateArr = dateString.split('-');
    var year = dateArr[0];

    var monthString = dateArr[1];
    var monthInt = parseInt(monthString, 10);
    var monthIndex = monthInt - 1;


    var month = monthNames[monthIndex];
    var day = dateArr[2];

    var dateJSON = 
    {
        "day": day,
        "month": month,
        "year": year
    }

    return dateJSON;

}

function showReviewComments(reviewID, productID, parentLink) {

    if ($(parentLink).hasClass("open")) {
        $(parentLink).removeClass("open");
        closeCommentsBox(parentLink);
        return false;
    } else {
        $(parentLink).addClass("open");
        var currentLinkText = $(parentLink).text();
        var newLinkText = currentLinkText.replace('Show', 'Hide');
        $(parentLink).text(newLinkText);
    }

    var commentURL = BVURL + BVcomments
    + "?apiversion=" + BVapiversion
    + "&passkey=" + BVpasskey
    + "&filter=reviewid:" + reviewID;


    $.ajax({
        url: commentURL,
        dataType: 'jsonp',
        type: 'GET',
        cache: true, // Do Not Remove - Required for Bazaar Voice CDN Caching
        jsonpCallback: 'bvLoadReviewCallback', // Do Not Remove - Required for Bazaar Voice CDN Caching
        success: function (data, textStatus, jqXHR) {
            checkAndRedirectForAjaxError(jqXHR, false, 'Productpage.js: showReviewComments');
            displayReviewComments(data, parentLink, reviewID, productID);
        },
        error: function (xhr, ajaxOptions, thrownError) {
            ajaxError(xhr, ajaxOptions, thrownError);
        }
    });

}

function displayReviewComments(data, parentLink, reviewID, productID) {


    var outputString = "";

    for(var i = 0; i < data.Results.length; i++){

        outputString += "<div class=\"responseComment\">";

        outputString += "<hr />";


        var currentComment = data.Results[i];

        var dateJSON = formatDate(currentComment.SubmissionTime)

        outputString += "<p class=\"metaTitle commentMeta\">" + dateJSON.day + " " + dateJSON.month + " " + dateJSON.year + "</p>";



        if (currentComment.UserNickname) {
            outputString += "<p> <span onmouseover=\"getCompactUserProfile('" + currentComment.AuthorId + "', this);\"><a class=\"commentUserLink\" href=\"#\">" + currentComment.UserNickname + "</a></span> " + currentComment.UserLocation + "</p>";
        }else {
            outputString += "<p> <a class=\"commentUserLink\" href=\"#\">Anonymous</a></p>";
    
        }

        if (currentComment.Title) {

            outputString += "<h4>" + currentComment.Title + "</h4>";
        }



        outputString += "<p>" + currentComment.CommentText + "</p>";



        outputString += "<div class=\"voteHelpful\">";
        outputString += "<span class=\"voteTitle\">Was this review helpful?</span>";
        outputString += "<a class=\"voteYes\">Yes</a>";
        outputString += "<a class=\"voteNo\">No</a>";

        var fbc = 0;
        var fbp = 0;
        if (currentComment.TotalFeedbackCount != null) {
            fbc = currentComment.TotalFeedbackCount;
            fbp = currentComment.TotalPositiveFeedbackCount;
        }
        outputString += fbp + " of " + fbc + " voted this as helpful";
        outputString += "<a class=\"inappropriateContent\" href=\"#\">Report inappropriate content</a></div>";



        outputString += "</div>";

    }

    var parentDiv = $(parentLink).closest(".reviewText");


    var commentContainerDiv = $("<div />");
    $(commentContainerDiv).addClass("commentContainerDiv");

    var commentContainerDivInner = $("<div />");
    $(commentContainerDivInner).addClass("commentContainerDivInner");

    $(commentContainerDiv).append(commentContainerDivInner);

    $(commentContainerDivInner).html(outputString);

    var postCommentLink = $("<a class=\"postComment\" href=\"#\" onclick=\"$BV.ui('rr', 'submit_comment', { productId: '" + productID + "', reviewId: '" + reviewID + "' }); return false;\">Post a comment</a>");
    $(commentContainerDivInner).after(postCommentLink);

    $(parentDiv).after(commentContainerDiv);

    var innerHeight = parseInt($(commentContainerDivInner).height());
  

    $(commentContainerDiv).animate({
        height: (innerHeight + 40)
    }, 300, 'easeOutCubic');

    $("section.ReviewContainer").animate({
        height: "+=" + (innerHeight + 60)
    }, 300, 'easeOutCubic');

    var targetScroll = $(window).scrollTop() + innerHeight + 60;


    $('html, body').animate({ scrollTop: targetScroll }, 300, 'easeOutCubic');


   // alert($(commentContainerDivInner).height());


}

function closeCommentsBox(link) {

    var animateHeight = parseInt($(link).closest(".reviewBlock").find(".commentContainerDiv").height());

    //commentContainerDiv


    $(link).closest(".reviewBlock").find(".viewComments").removeClass("open");


    $(link).closest(".reviewBlock").find(".commentContainerDiv").animate(
    {
        height: 0,
        opacity: 0
    },
    200, 'easeOutCubic',
    function () {
  
        $(link).closest(".reviewBlock").find(".commentContainerDiv").remove();
   
    });

    $("section.ReviewContainer").animate({
        height: "-=" + (animateHeight + 20)
    }, 300, 'easeOutCubic');


    var currentLinkText = $(link).text();
    var newLinkText = currentLinkText.replace('Hide', 'Show');
    $(link).text(newLinkText);

}
//Build reviews pagination
function buildReviewPagination(itemId, totalResults, suppressAnimation) {

    //If only 1 paage required, don't display pagination
    if (totalResults <= BVitemsPerPage) {
        $(".reviewPagination").html("");
        $(".reviewPagination").hide();
        return false;
    }
    if (!suppressAnimation) {
        $(".reviewPagination").show();
    }


    //Calculate required pages
    var requiredViews = Math.ceil(totalResults / BVitemsPerPage);
    //Build pagination
    var linkList = "<ul>";
    var classText = "";
    for (var i = 0; i < requiredViews; i++) {
        //On review load, set first link to active
        if (i == 0) {
            classText = "class=\"livePage\"";
        } else {
            classText = "";
        }
        linkList += "<li>";
        linkList += "<a " + classText + " onclick=\"loadReview(" + itemId + ",true, " + i + "); return false;\" href=\"#\">" + (i + 1) + "</a>";
        linkList += "</li>";
    }

    linkList += "</ul>";
    //Bind link to page
    $(".reviewPagination").html(linkList);

    // $('html, body').animate({ scrollTop: $(document).height() - $(window).height() }, 500);


    return false;
}

//Get user profile JSON
function getUserProfile(authorId, target, compact) {
    //Build request URL
    var targetUrl = BVURL + BVAuthors + "?apiversion="
                + BVapiversion
                + "&passkey=" + BVpasskey
                + "&filter=id:" + authorId
                + "&include=reviews,questions&sort_reviews=submissiontime:desc&sort_questions=submissiontime:desc&Stats=Reviews";

    $.ajax({
        url: targetUrl,
        dataType: 'jsonp',
        type: 'GET',
        success: function (data, textStatus, jqXHR) {
            checkAndRedirectForAjaxError(jqXHR, false, 'Productpage.js: getUserProfile');
            if (compact) {
                showCompactUserProfile(data, authorId, target);
            } else {
                showUserProfile(data, authorId, target);
            }
        },
        error: function (xhr, ajaxOptions, thrownError) {
            ajaxError(xhr, ajaxOptions, thrownError);
        }
    });
}


function getCompactUserProfile(authorId, target) {
    getUserProfile(authorId, target, true)
}

//Display user profil data in mouseover of their profile name
function showUserProfile(data, authorId, target) {

    var userName = data.Results[0].DisplayName;
    var activeSince = formatDate(data.Results[0].ReviewStatistics.FirstSubmissionTime);
    var alsoReviewed = "";
    var helpfulVotes = data.Results[0].ReviewStatistics.HelpfulVoteCount;
    var nonHelpfulVotes = data.Results[0].ReviewStatistics.NotHelpfulVoteCount;

    var userPopWrapper = $("<div />");
    $(userPopWrapper).addClass("userPopWrapper");

    $(userPopWrapper).hover(
    function () { $(this).addClass("hover"); },
    function () { $(this).remove(); }
    )

    var userPop = $("<div />");
    $(userPop).addClass("userPop");


    var elUsername = $("<h4 />");
    $(elUsername).text(userName);
    $(userPop).append(elUsername);

    var elActive = $("<div class=\"activeSince\" />");
    $(elActive).text("Active since " + activeSince.day + " " + activeSince.month + " " + activeSince.year);
    $(userPop).append(elActive);

    var elHelpful = $("<div class=\"helpfulLinks\" />");

    var elSpanHelpful = $("<span class=\"helpful\" />");
    $(elSpanHelpful).text(helpfulVotes);

    var elSpanNotHelpful = $("<span class=\"notHelpful\" />");
    $(elSpanNotHelpful).text(nonHelpfulVotes);

    $(elHelpful).text("Helpfulness Votes");
    $(elHelpful).append(elSpanHelpful);
    $(elHelpful).append(elSpanNotHelpful);
    $(userPop).append(elHelpful);

    $(userPopWrapper).hide();

    $(userPopWrapper).append(userPop);

    $(target).after(userPopWrapper);
    $(userPopWrapper).fadeIn(300);



}


function showCompactUserProfile(data, authorId, target) {

    var userName = data.Results[0].DisplayName;
    if (data.Results[0].ReviewStatistics.FirstSubmissionTime) {
        var activeSince = formatDate(data.Results[0].ReviewStatistics.FirstSubmissionTime);
    }
    var alsoReviewed = "";
    var helpfulVotes = data.Results[0].ReviewStatistics.HelpfulVoteCount;
    var nonHelpfulVotes = data.Results[0].ReviewStatistics.NotHelpfulVoteCount;

    var userPopWrapper = $("<div />");
    $(userPopWrapper).addClass("userPopWrapper").height(90).css("min-height", "90px") ;

    $(userPopWrapper).hover(
    function () { $(this).addClass("hover"); },
    function () { $(this).remove(); 
    }
    )

    var userPop = $("<div />");
    $(userPop).addClass("userPop");
    $(userPop).height(90).css("min-height","90px");

    var elUsername = $("<h4 />");
    $(elUsername).text(userName);
    $(userPop).append(elUsername);

    var elActive = $("<div class=\"activeSince\" />");
    if (data.Results[0].ReviewStatistics.FirstSubmissionTime) {
        $(elActive).text("Active since " + activeSince.day + " " + activeSince.month + " " + activeSince.year);
    }
    $(userPop).append(elActive);

    var elHelpful = $("<div class=\"helpfulLinks\" />");

    var elSpanHelpful = $("<span class=\"helpful\" />");
    $(elSpanHelpful).text(helpfulVotes);

    var elSpanNotHelpful = $("<span class=\"notHelpful\" />");
    $(elSpanNotHelpful).text(nonHelpfulVotes);

    $(elHelpful).text("Helpfulness Votes");
    $(elHelpful).append(elSpanHelpful);
    $(elHelpful).append(elSpanNotHelpful);
    $(userPop).append(elHelpful);

    $(userPopWrapper).hide();

    $(userPopWrapper).append(userPop);
    $(userPopWrapper).height(200);
    $(target).after(userPopWrapper);
    $(userPopWrapper).fadeIn(300);

}

function RemoveUserProfile() {
    $(".userPopWrapper").remove();
}

//Style current, active pagination link
function styleLivePageLink(pageIndex) {
    $(".reviewPagination ul li").each(function () {
        $(this).find("a").removeClass("livePage");
        if ($(this).index() == pageIndex) {
            $(this).find("a").addClass("livePage");
        }
    });
}

function ajaxError(xhr, ajaxOptions, thrownError) {
    //TODO Handle errors here
}


function loadPlugins() {

    $('.Pending .AlsoBoughtCarousel').NextCarousel();
    $('.Pending .AlsoBoughtSection').NextSlideWindow();
    $('.Pending .ReviewContainer').NextSlideWindow();
    $('.Pending .compositionPop').NextHelperPopUp({ 'width': 200, 'align': 'right', 'delay': 500 });
    $('.Pending .helperPopUpProductInfo').NextHelperPopUp({ 'width': 250, 'align': 'bottom', 'delay': 500 });
    $('.Pending .SizeGuideLink').NextHelperPopUp({ 'width': 105, 'align': 'bottom', 'delay': 500 });
    $(".Pending").removeClass("Pending");

}


ScriptsLoadedCallback = function () {
    $("#ZoomComponent").ZoomComponent();
    loadInitialOptions();
}



function checkImagesLoaded() {
    return false;
    $("img").each(function () {
        //If the image isn't cached
        if (!this.complete) {
            $(this).load(function () {
                resizeItemScroller();
            });
            //Else, the image is cached, proceed..
        } else {
            resizeItemScroller();
        }
    });
}




PageVisibleCallback = function () {

    //ProductPageReady();

    getReviewSummaries();
    checkImagesLoaded();

   
    setFixedPositioning();

    //scrollElements();


    loadPlugins();
    LoadInitialReview();
    $(".pageBottomWrapper").animate({ opacity: 1 }, 300);

    var siteURL = window.location.protocol + "//" + window.location.host;
    var reviewPage = siteURL + "/review.asp";

    $BV.configure("global", { submissionContainerUrl: reviewPage });

    checkSearchBreadcrumbs();
}

