function CreateCarouselLoopTimer(CSelector, Direction, Interval) {
    return window.setTimeout('ChangePage("' + CSelector + '","' + Direction + '","",' + Interval + ')', Interval);
}

function ChangePage(CSelector, Direction, PageIndex, AutoScroll) {

    if (!$("body").hasClass("Focus") && AutoScroll != 0 || PageTransitionLock == true) {
        eval(CSelector.replace('#','') + 'Timer = CreateCarouselLoopTimer("' + CSelector + '", "+", ' + AutoScroll + ')');
        return false;
    }
    
    if (CSelector == "" || Direction == "" && PageIndex == "" ) {
        return false;
    }
    if (!$(CSelector).hasClass("Locked")) {
        var currentPageIndex;
        var PageDirection = Direction;
        var MovementDirection;

        $(CSelector + " .CControlPage").each(function (index) {
            if ($(CSelector + " .CControlPage:eq(" + index + ")").hasClass("Current")) {
                currentPageIndex = index;
            }
        });

        if (PageIndex != "") {
            //PageIndex = PageIndex - 1;
            if (PageIndex > currentPageIndex) {
                PageDirection = "+";
            } else {
                PageDirection = "-";
            }
        }

        switch (PageDirection) {
            case "+":
                MovementDirection = "-";
            break;
            case "-":
                MovementDirection = "+";
            break;
        }

        var nextPageIndex
        if (PageIndex == "") {
            nextPageIndex = eval(currentPageIndex + PageDirection + "1");
        } else {
            nextPageIndex = PageIndex;
        }

        if (nextPageIndex == currentPageIndex) {
            return false;
        } else {
            if (nextPageIndex < 0) {
                nextPageIndex = ($(CSelector + " .CControlPage").length -1)
                MovementDirection = "-";
            } else {
                if (nextPageIndex >= $(CSelector + " .CControlPage").length) {
                    nextPageIndex = 0;
                    MovementDirection = "+";
                }
            }
        }

        var numPagesToMove
        if (nextPageIndex > currentPageIndex) {
            numPagesToMove = nextPageIndex - currentPageIndex;
        } else {
            numPagesToMove = (currentPageIndex - nextPageIndex);
        }

        var Animation = createAnimation();
        addToAnimation(Animation, '$("' + CSelector + '").addClass("Locked");', 0, false);

        addToAnimation(Animation, '$("' + CSelector + ' .CControlPage.Current").removeClass("Current")', 0, false);
        addToAnimation(Animation, '$("' + CSelector + ' .CControlPage:eq(' + nextPageIndex + ')").addClass("Current")', 0, false);
        
        addToAnimation(Animation, '$("' + CSelector + ' .CContent").animate({"left": "' + MovementDirection + '=' + ($(CSelector).width() * numPagesToMove) + '"},500)', 500, true);

        addToAnimation(Animation, '$("' + CSelector + '").removeClass("Locked");', 0, true);
        if (AutoScroll != 0) {
            addToAnimation(Animation, CSelector.replace('#','') + 'Timer = CreateCarouselLoopTimer("' + CSelector + '", "+", ' + AutoScroll + ')', 0, false);
        }
        runAnimation(Animation,true);
    }
}
