
function checkNextSaleBagWarning(siteUrl, saleCookieDomain) {
	var nextSaleBagWarningCookie = readCookie('NextSaleBagWarning');
	var nextSaleBagWarningCookieValueArray;
	var nextReadOnMainSite = '';
	var nextI = 0;
	var nextV = 0;
	var cookieData = '';
	var nvPair = '';
	var nvName = '';
	var nvValue = '';

	if (nextSaleBagWarningCookie) { //check if cookie exists
		if (nextSaleBagWarningCookie.indexOf('&') > -1) {
			nextSaleBagWarningCookieValueArray = nextSaleBagWarningCookie.split('&');

			for (var i = 0; i < nextSaleBagWarningCookieValueArray.length; i++) {
				nvPair = nextSaleBagWarningCookieValueArray[i];
				nvName = nvPair.split('=')[0];
				nvValue = nvPair.split('=')[1];

				switch (nvName) {
					case 'readOnMainSite':
						nextReadOnMainSite = nvValue;
						break;
					case 'nxti':
						nextI = nvValue;
						break;
					case 'nxtv':
						nextV = nvValue;
						break;
				}
			}

			if ((nextReadOnMainSite != null) && (nextReadOnMainSite != '')) {
				if (nextReadOnMainSite == 'False') {
					cookieData = "NextSaleBagWarning=readOnMainSite=True;path=/;";
					document.cookie = cookieData;
					saleBagWarningModal(nextI, nextV, siteUrl);
				}
			}
		}
	}
}

function saleBagWarningModal(items, value, returnUrl) {
    // hide the nmodal content
    //$('.nmodal').hide();
    var itemPlural = 's';
    if (items == 1) { itemPlural = ''; }

    // build basic container with content
    $("body").append('<div id="nmcontent"></div>');

    var button1 = '<a href="' + returnUrl + '" class="button">Yes, return to sale</a>';
    var button2 = '<a href="#" onclick="nmtidy()" class="button grey">No Thank You</a>';
    var nmHtml = '<p class="modal-title">You could lose your sale bag.<br />Would you like to return to our Sale Site?</p><p>' + button1 + button2 + '</p>';

    $('#nmcontent').html(nmHtml);
    // build nmodal structure
    $('#nmcontent').wrap('<div id="nmwrap" />');

    var nmTop = $("<div id='nmtop'><a href='#' id='nmclose' title='Click to close this window'>Close</a></div>");
    var nmBottom = $("<div id='nmbottom'></div>");

    $(nmTop).insertBefore('#nmcontent');
    $(nmBottom).insertAfter('#nmcontent');

    // remove original .nmodal to prevent ID clashes
    //$('.nmodal').remove();

    // set up overlay
    $("body").append('<div id="nmmask" />');

    var docHeight = $(window).height();
    var bodyHeight = $("body").height();
    var maskHeight = bodyHeight - docHeight;
    $('#nmmask').css('bottom', -maskHeight);

    // fade out modal and overlay, then tidy up
    $('#nmclose').click(function () {
        $('#nmwrap').fadeOut(1000);
        $('#nmmask').fadeOut(1000);
        setTimeout(function () { $('#nmwrap').remove(); }, 1000);
        setTimeout(function () { $('#nmmask').remove(); }, 1000);
    });

    $('#nmmask').click(function () {
        $('#nmwrap').fadeOut(1000);
        $('#nmmask').fadeOut(1000);
        setTimeout(function () { $('#nmwrap').remove(); }, 1000);
        setTimeout(function () { $('#nmmask').remove(); }, 1000);
    });   

};
    
// fade out modal and overlay, then tidy up
function nmtidy() {
        $('#nmwrap').fadeOut(1000);
        $('#nmmask').fadeOut(1000);
        setTimeout(function () { $('#nmwrap').remove(); }, 1000);
        setTimeout(function () { $('#nmmask').remove(); }, 1000);
};